org.wildfly.swarm.config.management.access.constraint.type.classification

## Class AppliesTo<T extends AppliesTo<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.access.constraint.type.classification.AppliesTo<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class AppliesTo<T extends AppliesTo<T>>
      extends HashMap

  Information about the resources, attributes and operations to which an access control constraint applies.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppliesTo(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `address()` Address pattern describing a resource or resources to which the constraint applies.
    `T` | `address(String value)` Address pattern describing a resource or resources to which the constraint applies.
    `T` | `attribute(String value)` List of the names of attributes to which the constraint specifically applies.
    `List<String>` | `attributes()` List of the names of attributes to which the constraint specifically applies.
    `T` | `attributes(List<String> value)` List of the names of attributes to which the constraint specifically applies.
    `T` | `attributes(String... args)` List of the names of attributes to which the constraint specifically applies.
    `Boolean` | `entireResource()` True if the constraint applies to the resource as a whole; false if it only applies to one or more attributes or operations.
    `T` | `entireResource(Boolean value)` True if the constraint applies to the resource as a whole; false if it only applies to one or more attributes or operations.
    `String` | `getKey()`
    `T` | `operation(String value)` List of the names of operations to which the constraint specifically applies.
    `List<String>` | `operations()` List of the names of operations to which the constraint specifically applies.
    `T` | `operations(List<String> value)` List of the names of operations to which the constraint specifically applies.
    `T` | `operations(String... args)` List of the names of operations to which the constraint specifically applies.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### AppliesTo

          public AppliesTo(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### address

          public String address()

      Address pattern describing a resource or resources to which the constraint applies.

    - #### address

          public T address(String value)

      Address pattern describing a resource or resources to which the constraint applies.

    - #### attributes

          public List<String> attributes()

      List of the names of attributes to which the constraint specifically applies.

    - #### attributes

          public T attributes(List<String> value)

      List of the names of attributes to which the constraint specifically applies.

    - #### attribute

          public T attribute(String value)

      List of the names of attributes to which the constraint specifically applies.

    - #### attributes

          public T attributes(String... args)

      List of the names of attributes to which the constraint specifically applies.

    - #### entireResource

          public Boolean entireResource()

      True if the constraint applies to the resource as a whole; false if it only applies to one or more attributes or operations.

    - #### entireResource

          public T entireResource(Boolean value)

      True if the constraint applies to the resource as a whole; false if it only applies to one or more attributes or operations.

    - #### operations

          public List<String> operations()

      List of the names of operations to which the constraint specifically applies.

    - #### operations

          public T operations(List<String> value)

      List of the names of operations to which the constraint specifically applies.

    - #### operation

          public T operation(String value)

      List of the names of operations to which the constraint specifically applies.

    - #### operations

          public T operations(String... args)

      List of the names of operations to which the constraint specifically applies.

Copyright © 2017 JBoss by Red Hat. All rights reserved.